# First Duplicate

> Given an array `a` that contains only numbers in the range from `1` to
> `a.length`, find the first duplicate number for which the second occurrence
> has the minimal index. In other words, if there are more than 1 duplicated
> numbers, return the number for which the second occurrence has a smaller index
> than the second occurrence of the other number does. If there are no such
> elements, return -1.

## Example 1

- Input: `a = [2, 1, 3, 5, 3, 2]`

- Output: 3.

- Explanation: There are 2 duplicates: numbers 2 and 3. The second occurrence of
  3 has a smaller index than the second occurrence of 2 does, so the answer
  is 3.

## Example 2

- Input: `a = [2, 2]`

- Output: 2

## Example 3

- Inpute: `a = [2, 4, 3, 5, 1]`
- Output -1
